package com.njyunzhi.pet_identity.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.njyunzhi.pet_identity.entity.TaApplication;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.njyunzhi.pet_identity.vo.ApplicationParams;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 我的申请 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-05-24
 */
@Mapper
public interface TaApplicationMapper extends BaseMapper<TaApplication> {

    IPage<TaApplication> getPageBy(IPage<TaApplication> pg, @Param("params") ApplicationParams params);

    List<TaApplication> getNormalApplication(@Param("petId") String petId);

    TaApplication getLastApplication(@Param("petId") String petId);
}
